cairomm: Cairo::FontFace Class Reference

cairomm 1.19.0

Public Types | Public Member Functions | Protected Attributes | List of all members
Cairo::FontFace Class Reference

A FontFace represents a particular font at a particular weight, slant, and other characteristic but no size, transformation, or size. More...

`#include <cairomm/fontface.h>`

Inheritance diagram for Cairo::FontFace:
[legend]

## Public Types
typedef cairo_font_face_t | cobject

## Public Member Functions
| FontFace (cairo_font_face_t *cobject, bool has_reference=false)
| Create a C++ wrapper for the C instance.
| FontFace (const FontFace &)=delete
FontFace & | operator= (const FontFace &)=delete
virtual | ~FontFace ()
FontType | get_type () const
| Returns the type of the backend used to create a font face.
cobject * | cobj ()
const cobject * | cobj () const
void | reference () const
void | unreference () const

## Protected Attributes
cobject * | m_cobject

## Detailed Description

A FontFace represents a particular font at a particular weight, slant, and other characteristic but no size, transformation, or size.

Font faces are created using font-backend-specific constructors or implicitly using the toy text API by way of Context::select_font_face(). The resulting face can be accessed using Context::get_font_face().

## Member Typedef Documentation

## ◆ cobject

typedef cairo_font_face_t Cairo::FontFace::cobject

## Constructor & Destructor Documentation

## ◆ FontFace() [1/2]

Cairo::FontFace::FontFace | ( | cairo_font_face_t * | cobject,
|  | bool | has_reference = `false`
| ) |  |
| explicit

Create a C++ wrapper for the C instance.

This C++ instance should then be given to a RefPtr.

Parameters

  cobject | The C instance.
  has_reference | Whether we already have a reference. Otherwise, the constructor will take an extra reference.

## ◆ FontFace() [2/2]

Cairo::FontFace::FontFace | ( | const FontFace & |  | ) |
| delete

## ◆ ~FontFace()

virtual Cairo::FontFace::~FontFace | ( |  | ) |
| virtual

## Member Function Documentation

## ◆ cobj() [1/2]

cobject * Cairo::FontFace::cobj | ( |  | ) |
| inline

## ◆ cobj() [2/2]

const cobject * Cairo::FontFace::cobj | ( |  | ) | const
| inline

## ◆ get_type()

FontType Cairo::FontFace::get_type | ( |  | ) | const

Returns the type of the backend used to create a font face.

## ◆ operator=()

FontFace & Cairo::FontFace::operator= | ( | const FontFace & |  | ) |
| delete

## ◆ reference()

void Cairo::FontFace::reference | ( |  | ) | const

## ◆ unreference()

void Cairo::FontFace::unreference | ( |  | ) | const

## Member Data Documentation

## ◆ m_cobject

cobject* Cairo::FontFace::m_cobject
| protected

The documentation for this class was generated from the following file:

- cairomm/fontface.h